[arch-commits] CVS update of extra/lib/perl-uri (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Sep 1 21:32:15 UTC 2007


    Date: Saturday, September 1, 2007 @ 17:32:15
  Author: jgc
    Path: /home/cvs-extra/extra/lib/perl-uri

Modified: PKGBUILD (1.5 -> 1.6)

upgpkg: perl-uri 1.35-2
Use universal perl methods


----------+
 PKGBUILD |   34 ++++++++++++++++++----------------
 1 file changed, 18 insertions(+), 16 deletions(-)


Index: extra/lib/perl-uri/PKGBUILD
diff -u extra/lib/perl-uri/PKGBUILD:1.5 extra/lib/perl-uri/PKGBUILD:1.6
--- extra/lib/perl-uri/PKGBUILD:1.5	Sun May 28 06:19:47 2006
+++ extra/lib/perl-uri/PKGBUILD	Sat Sep  1 17:32:15 2007
@@ -1,32 +1,34 @@
-# $Id: PKGBUILD,v 1.5 2006/05/28 10:19:47 notz Exp $
+# $Id: PKGBUILD,v 1.6 2007/09/01 21:32:15 jgc Exp $
 # Maintainer: eric <eric at archlinux.org>
 # Contributor: Manolis Tzanidakis
 
 pkgname=perl-uri
 pkgver=1.35
-pkgrel=1
+pkgrel=2
 pkgdesc="Perl Module: form Resource Identifiers (absolute and relative)"
 arch=(i686 x86_64)
-url="http://search.cpan.org/~gaas/URI-$pkgver"
-depends=('perl>=5.8.4-1')
+license=('PerlArtistic')
+url="http://search.cpan.org/dist/URI"
+depends=('perl')
+options=(!emptydirs)
 source=(http://www.cpan.org/authors/id/G/GA/GAAS/URI-$pkgver.tar.gz)
-md5sums=('1a933b1114c41a25587ee59ba8376f7c')
 replaces=('uri')
 provides=('uri')
+md5sums=('1a933b1114c41a25587ee59ba8376f7c')
 
 build() {
   cd $startdir/src/URI-$pkgver
-  /usr/bin/perl Makefile.PL
-  # ugly hack to make install location
-  # compatible with newer versions of perl.
-  # NOTE: if perl version changes from 5.8.7, change sed line too
-  /bin/sed -i "s:5.8.7:current:g" Makefile
-  /usr/bin/make || return 1
-  /usr/bin/make install DESTDIR=$startdir/pkg
+  # Force module installation to "current" perl directories.
+  eval `perl -V:archname`
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL \
+      INSTALLARCHLIB=/usr/lib/perl5/current/${archname} \
+      INSTALLSITELIB=/usr/lib/perl5/site_perl/current \
+      INSTALLSITEARCH=/usr/lib/perl5/site_perl/current/${archname}
+  make || return 1
+  make install DESTDIR=${startdir}/pkg
 
-  # remove perllocal.pod, .packlist and empty dirs.
-  /bin/rm $startdir/pkg/usr/lib/perl5/current/i686-linux-thread-multi/perllocal.pod
-  /bin/rm -rf $startdir/pkg/usr/lib/perl5/site_perl/current/i686-linux-thread-multi
-  /bin/rm -rf $startdir/pkg/usr/lib/perl5/current
+  # remove perllocal.pod and .packlist
+  find ${startdir}/pkg -name perllocal.pod -delete
+  find ${startdir}/pkg -name .packlist -delete
 }
 # vim: ts=2 sw=2 et ft=sh




More information about the arch-commits mailing list